OGRE: Ogre::TerrainQuadTreeNode::LodLevel Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::TerrainQuadTreeNode::LodLevel Struct Reference

`#include <OgreTerrainQuadTreeNode.h>`

Inheritance diagram for Ogre::TerrainQuadTreeNode::LodLevel:
[legend]

List of all members.

## Public Member Functions
| LodLevel ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
uint16 | batchSize
| Number of vertices rendered down one side (not including skirts).
IndexData * | gpuIndexData
| Index data on the gpu.
Real | maxHeightDelta
| Maximum delta height between this and the next lower lod.
Real | calcMaxHeightDelta
| Temp calc area for max height delta.
Real | lastTransitionDist
| The most recently calculated transition distance.
Real | lastCFactor
| The cFactor value used to calculate transitionDist.

## Detailed Description

Definition at line 131 of file OgreTerrainQuadTreeNode.h.

## Constructor & Destructor Documentation

Ogre::TerrainQuadTreeNode::LodLevel::LodLevel | ( |  | ) |

Definition at line 146 of file OgreTerrainQuadTreeNode.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

uint16 Ogre::TerrainQuadTreeNode::LodLevel::batchSize

Number of vertices rendered down one side (not including skirts).

Definition at line 134 of file OgreTerrainQuadTreeNode.h.

Real Ogre::TerrainQuadTreeNode::LodLevel::calcMaxHeightDelta

Temp calc area for max height delta.

Definition at line 140 of file OgreTerrainQuadTreeNode.h.

IndexData* Ogre::TerrainQuadTreeNode::LodLevel::gpuIndexData

Index data on the gpu.

Definition at line 136 of file OgreTerrainQuadTreeNode.h.

Real Ogre::TerrainQuadTreeNode::LodLevel::lastCFactor

The cFactor value used to calculate transitionDist.

Definition at line 144 of file OgreTerrainQuadTreeNode.h.

Real Ogre::TerrainQuadTreeNode::LodLevel::lastTransitionDist

The most recently calculated transition distance.

Definition at line 142 of file OgreTerrainQuadTreeNode.h.

Real Ogre::TerrainQuadTreeNode::LodLevel::maxHeightDelta

Maximum delta height between this and the next lower lod.

Definition at line 138 of file OgreTerrainQuadTreeNode.h.

The documentation for this struct was generated from the following file:

- OgreTerrainQuadTreeNode.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05